| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::VectorRefT< T > Class Template Referencefinal

`#include <opencv2/gapi/garray.hpp>`

Inheritance diagram for cv::detail::VectorRefT< T >:

## Public Member Functions
| VectorRefT ()
| VectorRefT (const std::vector< T > &vec)
| VectorRefT (std::vector< T > &vec)
| VectorRefT (std::vector< T > &&vec)
virtual | ~VectorRefT ()
virtual void | mov (BasicVectorRef &v) override
void | reset ()
const std::vector< T > & | rref () const
std::vector< T > & | wref ()
Public Member Functions inherited from cv::detail::BasicVectorRef
virtual | ~BasicVectorRef ()

## Additional Inherited Members
Public Attributes inherited from cv::detail::BasicVectorRef
cv::GArrayDesc | m_desc
std::size_t | m_elemSize = 0ul

## Constructor & Destructor Documentation

## ◆ VectorRefT() [1/4]

template<typename T>

cv::detail::VectorRefT< T >::VectorRefT | ( |  | ) |
| inline

## ◆ ~VectorRefT()

template<typename T>

virtual cv::detail::VectorRefT< T >::~VectorRefT | ( |  | ) |
| inline virtual

## ◆ VectorRefT() [2/4]

template<typename T>

cv::detail::VectorRefT< T >::VectorRefT | ( | const std::vector< T > & | vec | ) |
| inline explicit

## ◆ VectorRefT() [3/4]

template<typename T>

cv::detail::VectorRefT< T >::VectorRefT | ( | std::vector< T > & | vec | ) |
| inline explicit

## ◆ VectorRefT() [4/4]

template<typename T>

cv::detail::VectorRefT< T >::VectorRefT | ( | std::vector< T > && | vec | ) |
| inline explicit

## Member Function Documentation

## ◆ mov()

template<typename T>

virtual void cv::detail::VectorRefT< T >::mov | ( | BasicVectorRef & | v | ) |
| inline override virtual

Implements cv::detail::BasicVectorRef.

## ◆ reset()

template<typename T>

void cv::detail::VectorRefT< T >::reset | ( |  | ) |
| inline

## ◆ rref()

template<typename T>

const std::vector<T>& cv::detail::VectorRefT< T >::rref | ( |  | ) | const
| inline

## ◆ wref()

template<typename T>

std::vector<T>& cv::detail::VectorRefT< T >::wref | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- opencv2/gapi/garray.hpp